Page MenuHomePhabricator

Increase igmp_max_memberships
Closed, ResolvedPublicENHANCEMENT

Description

Default in Linux kernel in net.ipv4.igmp_max_memberships = 20. This makes OSPF, VRRP and other protocols using multicast fail depending on number of interfaces and services.

This change will have a impact on all features using multicast, and what the correct number is need to be investigated. I have been testing with 512 and looks ok.

From https://www.kernel.org/doc/Documentation/networking/ip-sysctl.txt

igmp_max_memberships - INTEGER
	Change the maximum number of multicast groups we can subscribe to.
	Default: 20

	Theoretical maximum value is bounded by having to send a membership
	report in a single datagram (i.e. the report can't span multiple
	datagrams, or risk confusing the switch and leaving groups you don't
	intend to).

	The number of supported groups 'M' is bounded by the number of group
	report entries you can fit into a single datagram of 65535 bytes.

	M = 65536-sizeof (ip header)/(sizeof(Group record))

	Group records are variable length, with a minimum of 12 bytes.
	So net.ipv4.igmp_max_memberships should not be set higher than:

	(65536-24) / 12 = 5459

	The value 5459 assumes no IP header options, so in practice
	this number may be lower.

I don't know in which usecases the VyOS should send a IGMP membership request.

Configs for testing and more info in https://phabricator.vyos.net/Q116

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Other
aopdal created this task.Sep 26 2018, 7:13 AM
aopdal created this object in space S1 VyOS Public.
syncer assigned this task to dmbaturin.Sep 30 2018, 7:09 AM
syncer triaged this task as Normal priority.
syncer added subscribers: dmbaturin, syncer.

@dmbaturin can you increase it

syncer reassigned this task from dmbaturin to hagbard.Oct 18 2018, 5:42 AM
syncer changed the visibility from "Subscribers" to "Public (No Login Required)".
syncer renamed this task from Increase igmp_max_memberships to .Oct 18 2018, 6:05 AM
syncer changed the subtype of this task from "Task" to "Enhancement".Sat, Oct 20, 4:49 AM
dmbaturin closed this task as Resolved.Sun, Oct 21, 4:25 PM
dmbaturin changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
dmbaturin changed Why the issue appeared? from Will be filled on close to Other.
dmbaturin moved this task from Needs Triage to Finished on the VyOS 1.2.x (VyOS 1.2.0-rc4) board.
dmbaturin changed the visibility from "Subscribers" to "Public (No Login Required)".